## gst-plugins-bad1.0 1.11.91

=== debian/changelog ===
gst-plugins-bad1.0 (1.11.91-1ubuntu2) artful; urgency=medium

  * No-change rebuild against libx265-116.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sat, 06 May 2017 15:27:36 +0200

gst-plugins-bad1.0 (1.11.91-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * Dropped Mir and Hybris support which isn't needed any more.
  * Dropped separate videoparsers and faad packages.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 28 Apr 2017 18:31:29 +0100

gst-plugins-bad1.0 (1.11.91-1) experimental; urgency=medium

  * New upstream release canditate

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Apr 2017 17:03:23 +0300

gst-plugins-bad1.0 (1.11.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Apr 2017 15:55:59 +0300

gst-plugins-bad1.0 (1.11.2-1) experimental; urgency=medium

  * debian/build-deps.in:
    + Remove unused dependency on DirectFB (Closes: #855513).
  * New development release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Feb 2017 14:45:40 +0200

gst-plugins-bad1.0 (1.11.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Jan 2017 15:19:46 +0200
