## gst-plugins-bad1.0 1.12.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.12.0-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 May 2017 11:18:47 +0100

gst-plugins-bad1.0 (1.12.0-1) experimental; urgency=medium

  * New upstream stable release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 May 2017 15:17:34 +0300
