## gst-plugins-bad1.0 1.12.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.12.1-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad
  * Remove a debian/.control.in.swp file that was committed by mistake.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 29 Jun 2017 12:41:24 +0100

gst-plugins-bad1.0 (1.12.1-1) unstable; urgency=medium

  * Add some Provides/Replaces/Conflicts for a package split in Ubuntu that is
    no longer necessary.
  * New upstream bugfix release

 -- Iain Lane <iain.lane@canonical.com>  Tue, 20 Jun 2017 11:50:18 +0300

gst-plugins-bad1.0 (1.12.0-1ubuntu2) artful; urgency=medium

  * Restore libgstreamer-plugins-bad1.0-dev Depends on
    libgstreamer-plugins-good1.0-dev that was accidentally dropped
    in 1.11.91 merge.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 17 Jun 2017 20:00:19 -0400
