## gst-plugins-bad1.0 1.12.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.12.2-1ubuntu3) artful; urgency=medium

  * No-change rebuild against libx265-130

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Aug 2017 06:37:52 +0000

gst-plugins-bad1.0 (1.12.2-1ubuntu2) artful; urgency=medium

  * Prefer native Wayland over X11/Xwayland if both are available. This
    fixes VA-API initialization failure in Gnome Shell Wayland sessions
    (LP: #1698287).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 08 Aug 2017 17:08:09 +0800

gst-plugins-bad1.0 (1.12.2-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad

 -- Iain Lane <iain.lane@canonical.com>  Tue, 18 Jul 2017 16:20:28 +0100

gst-plugins-bad1.0 (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <iain.lane@canonical.com>  Fri, 14 Jul 2017 13:35:08 +0300
