## gst-plugins-bad1.0 1.12.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.12.3-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Dec 2017 17:43:20 +0100

gst-plugins-bad1.0 (1.12.3-2) unstable; urgency=medium

  * debian/patches/0001-openjpeg-Support-building-with-openjpeg-2.3.patch:
    + Fix build against openjpeg 2.3 (Closes: #878747).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Oct 2017 15:35:50 +0200

gst-plugins-bad1.0 (1.12.3-1ubuntu2) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 12:49:54 +0100

gst-plugins-bad1.0 (1.12.3-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad
    + debian/patches/fix-lp1698287.patch: Prefer native Wayland over
      X11/Xwayland if both are available. This fixes VA-API initialization
      failure in Gnome Shell Wayland sessions.
  * debian/patches/0001-gl-wayland-call-eglTerminate-before-wl_display_disco.patch:
    Cherry-pick patch from upstream. Should fix crash when using Wayland.
    Should be applied in next 1.12 release. (LP: #1718595)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Sep 2017 15:53:28 +0100

gst-plugins-bad1.0 (1.12.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <iain.lane@canonical.com>  Mon, 18 Sep 2017 21:31:15 +0300
