=== debian/control ===
--- 
+++ 
@@ -5,7 +5,19 @@
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: autoconf (>= 2.69),
+Build-Depends:  libasound2-dev (>= 0.9.1) [linux-any],
+               libcdaudio-dev [linux-any],
+               libdc1394-22-dev (>= 2.0.0) [linux-any],
+               libgudev-1.0-dev (>= 143) [linux-any],
+               libusb-1.0-0-dev [linux-any],
+               libbluetooth-dev (>= 5) [linux-any],
+               libsbc-dev (>= 1.1) [linux-any],
+               libwayland-dev (>= 1.4.0) [linux-any],
+               libdrm-dev (>= 2.4.55) [linux-any],
+               wayland-protocols (>= 1.4) [linux-any],
+               libvulkan-dev [linux-any],
+               libgstreamer1.0-dev (>= 1.12.0),
+               autoconf (>= 2.69),
                automake (>= 1.14),
                autopoint (>= 0.17),
                autotools-dev,
@@ -19,18 +31,6 @@
                gir1.2-gst-plugins-base-1.0,
                gir1.2-gstreamer-1.0,
                gobject-introspection (>= 0.9.12-4~),
-               libasound2-dev (>= 0.9.1) [linux-any],
-               libcdaudio-dev [linux-any],
-               libdc1394-22-dev (>= 2.0.0) [linux-any],
-               libgudev-1.0-dev (>= 143) [linux-any],
-               libusb-1.0-0-dev [linux-any],
-               libbluetooth-dev (>= 5) [linux-any],
-               libsbc-dev (>= 1.1) [linux-any],
-               libwayland-dev (>= 1.4.0) [linux-any],
-               libdrm-dev (>= 2.4.55) [linux-any],
-               wayland-protocols (>= 1.4) [linux-any],
-               libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.12.0),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base (>= 1.12.0),
                gstreamer1.0-plugins-base-doc,
@@ -138,12 +138,12 @@
 Provides: gstreamer1.0-plugins-bad-videoparsers,
           gstreamer1.0-plugins-bad-faad,
           ${gstreamer:Provides}
+Suggests: frei0r-plugins
 Conflicts: gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
            gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
 Replaces: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2),
           gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
           gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
-Suggests: frei0r-plugins
 Breaks: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -218,6 +218,7 @@
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
          libgstreamer1.0-dev,
          libgstreamer-plugins-base1.0-dev,
+         libgstreamer-plugins-good1.0-dev,
          gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
          libopencv-dev (>= 2.3.0)
 Description: GStreamer development files for libraries from the "bad" set
