## gst-plugins-bad1.0 1.12.4

=== debian/changelog ===
gst-plugins-bad1.0 (1.12.4-2ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad
    + debian/patches/fix-lp1698287.patch: Prefer native Wayland over
      X11/Xwayland if both are available. This fixes VA-API initialization
      failure in Gnome Shell Wayland sessions.
  * debian/patches/0001-gl-wayland-call-eglTerminate-before-wl_display_disco.patch:
    Drop, applied upstream.
  * debian/patches/0001-openjpeg-Support-building-with-openjpeg-2.3.patch:
    Same

 -- Iain Lane <iain.lane@canonical.com>  Mon, 11 Dec 2017 15:20:08 +0000

gst-plugins-bad1.0 (1.12.4-2) unstable; urgency=medium

  * debian/rules:
    + Loosen library package dependencies to only be >= 1.12.4 and < 1.13,
      not < 1.12.5.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Dec 2017 15:52:11 +0200

gst-plugins-bad1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:47:55 +0200
