=== debian/control ===
--- 
+++ 
@@ -72,7 +72,7 @@
                libopenal-dev (>= 1:1.14),
                libopencv-dev (>= 2.3.0),
                libopenexr-dev,
-               libopenjp2-7-dev,
+               libopenjp2-7-dev (>= 2.1),
                libopus-dev (>= 0.9.4),
                liborc-0.4-dev (>= 1:0.4.17),
                libpng-dev,
