=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
+
+# Work-around for gtk-doc bug:
+# https://bugzilla.gnome.org/show_bug.cgi?id=783926
+export PYTHONIOENCODING="utf-8"
 
 DEB_BUILD_PARALLEL = 1
 
@@ -212,8 +216,3 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
 endif
 
-ifneq (,$(findstring $(DEB_HOST_ARCH),armhf arm64))
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-opengl --disable-glx
-endif
-
-common-binary-fixup-arch::
