=== debian/control ===
--- 
+++ 
@@ -5,19 +5,7 @@
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends:  libasound2-dev (>= 0.9.1) [linux-any],
-               libcdaudio-dev [linux-any],
-               libdc1394-22-dev (>= 2.0.0) [linux-any],
-               libgudev-1.0-dev (>= 143) [linux-any],
-               libusb-1.0-0-dev [linux-any],
-               libbluetooth-dev (>= 5) [linux-any],
-               libsbc-dev (>= 1.1) [linux-any],
-               libwayland-dev (>= 1.4.0) [linux-any],
-               libdrm-dev (>= 2.4.55) [linux-any],
-               wayland-protocols (>= 1.4) [linux-any],
-               libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.12.0),
-               autoconf (>= 2.69),
+Build-Depends: autoconf (>= 2.69),
                automake (>= 1.14),
                autopoint (>= 0.17),
                autotools-dev,
@@ -31,8 +19,20 @@
                gir1.2-gst-plugins-base-1.0,
                gir1.2-gstreamer-1.0,
                gobject-introspection (>= 0.9.12-4~),
+               libasound2-dev (>= 0.9.1) [linux-any],
+               libcdaudio-dev [linux-any],
+               libdc1394-22-dev (>= 2.0.0) [linux-any],
+               libgudev-1.0-dev (>= 143) [linux-any],
+               libusb-1.0-0-dev [linux-any],
+               libbluetooth-dev (>= 5) [linux-any],
+               libsbc-dev (>= 1.1) [linux-any],
+               libwayland-dev (>= 1.4.0) [linux-any],
+               libdrm-dev (>= 2.4.55) [linux-any],
+               wayland-protocols (>= 1.4) [linux-any],
+               libvulkan-dev [linux-any],
+               libgstreamer1.0-dev (>= 1.13.1),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.12.0),
+               gstreamer1.0-plugins-base (>= 1.13.1),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -45,34 +45,33 @@
                libdca-dev,
                libde265-dev,
                libdvdnav-dev (>= 4.1.2) [!hurd-any],
-               libegl1-mesa-dev,
                libexempi-dev,
                libexif-dev (>= 0.6.16),
                libfaad-dev (>= 2.7),
                libfluidsynth-dev (>= 1.0),
                libgirepository1.0-dev (>= 0.9.12-4~),
-               libgl1-mesa-dev [!armhf !arm64],
-               libgles2-mesa-dev,
                libglib2.0-dev (>= 2.40),
-               libglu1-mesa-dev [!armhf !arm64],
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.12.0),
-               libgstreamer-plugins-good1.0-dev (>= 1.12.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.13.1),
+               libgstreamer-plugins-good1.0-dev (>= 1.13.1),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),
+               liblcms2-dev (>= 2.7),
                liblilv-dev (>= 0.16),
                libmjpegtools-dev,
                libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
+               libnice-dev (>= 0.1.14),
                libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
                libopencv-dev (>= 2.3.0),
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.1),
+               libopenmpt-dev,
                libopus-dev (>= 0.9.4),
                liborc-0.4-dev (>= 1:0.4.17),
                libpng-dev,
@@ -81,7 +80,7 @@
                libsndfile1-dev (>= 1.0.16),
                libsoundtouch-dev (>= 1.5.0),
                libspandsp-dev,
-               libsrtp0-dev,
+               libsrtp2-dev (>= 2.1),
                libssl-dev,
                libtool (>= 2.2.6),
                libvo-aacenc-dev,
@@ -164,6 +163,37 @@
  something - be it a good code review, some documentation, a set of tests, a
  real live maintainer, or some actual wide use.
 
+Package: gstreamer1.0-opencv
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         gstreamer1.0-plugins-base,
+         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
+         libgstreamer-opencv1.0-0 (= ${binary:Version}),
+Conflicts: gstreamer1.0-plugins-bad (<< 1.13.1)
+Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
+XB-GStreamer-Version: ${gstreamer:Version}
+XB-GStreamer-Elements: ${gstreamer:Elements}
+XB-GStreamer-URI-Sources: ${gstreamer:URISources}
+XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
+XB-GStreamer-Encoders: ${gstreamer:Encoders}
+XB-GStreamer-Decoders: ${gstreamer:Decoders}
+Description: GStreamer OpenCV plugins
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
+ to the rest. They might be close to being good quality, but they're missing
+ something - be it a good code review, some documentation, a set of tests, a
+ real live maintainer, or some actual wide use.
+ .
+ This package contains the OpenCV plugins.
+
 Package: gstreamer1.0-plugins-bad-dbg
 Architecture: any
 Multi-Arch: same
@@ -194,7 +224,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Description: GStreamer development files for libraries from the "bad" set
+Description: GStreamer libraries from the "bad" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
  anything from real-time sound processing to playing videos, and just
@@ -210,54 +240,35 @@
  This package contains shared GStreamer libraries from the "bad" set. The API
  is not guaranteed to be stable.
 
+Package: libgstreamer-opencv1.0-0
+Architecture: any
+Section: libs
+Priority: extra
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
+Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
+Description: GStreamer OpenCV libraries
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
+ to the rest. They might be close to being good quality, but they're missing
+ something - be it a good code review, some documentation, a set of tests, a
+ real live maintainer, or some actual wide use.
+ .
+ This package contains shared GStreamer libraries for OpenCV.
+
 Package: libgstreamer-plugins-bad1.0-dev
 Architecture: any
 Section: libdevel
 Priority: extra
 Depends: ${misc:Depends},
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
-         libgstreamer1.0-dev,
-         libgstreamer-plugins-base1.0-dev,
-         libgstreamer-plugins-good1.0-dev,
-         gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
-         libopencv-dev (>= 2.3.0)
-Description: GStreamer development files for libraries from the "bad" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
- to the rest. They might be close to being good quality, but they're missing
- something - be it a good code review, some documentation, a set of tests, a
- real live maintainer, or some actual wide use.
- .
- This package contains development files for GStreamer libraries from the
- "bad" set. The API is not guaranteed to be stable.
-
-Package: gir1.2-gst-plugins-bad-1.0
-Section: introspection
-Architecture: any
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
-Description: GObject introspection data for the GStreamer libraries from the "bad" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
- to the rest. They might be close to being good quality, but they're missing
- something - be it a good code review, some documentation, a set of tests, a
- real live maintainer, or some actual wide use.
- .
- This package contains introspection data for the GStreamer libraries from
- the "bad" set. It can be used by packages using the GIRepository format to
- generate dynamic bindings.
-
+         libgstreamer-opencv1.0-0 (= ${binary:Version}),
